<?php
include '../generator/Song.php';
include '../generator/SongProvider.php';


class SongProviderTest extends PHPUnit_Framework_TestCase {
    
    public function test() {
       $provider = new SongProvider();
       $songs = $provider->read();

       $this->assertEquals(1145, sizeof($songs));

       $song = $songs[0];
       $this->assertEquals("ПРОСТОРОМ НАПОЛНЯЮЩАЯ", $song->name);
       $this->assertEquals("http://www.ayfaarpesni.org/lyrics/?id=2#lyrics", $song->link);
       $this->assertEquals("Кто лишь Любви и Добру доверяет,
Кто для других всей Душою живёт, –
Тот вместе с нами пусть мир озаряет
И для других своё Сердце раздаёт!", $song->text);
    }

    function test2() {
        $provider = new SongProvider();
        $song = $provider->provide();

        $this->assertNotNull($song);
        $this->assertNotNull($song->name);
    }
}
